> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get closure info for a specific day

> Returns whether the closure was already done for a specific day or not



## OpenAPI

````yaml get /consumers/{consumer_id}/pos/closures/{date}
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/pos/closures/{date}:
    get:
      tags:
        - Point of Sale
        - Closures
      summary: Get closure info for a specific day
      description: Returns whether the closure was already done for a specific day or not
      operationId: pos_get_closure
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: date
          in: path
          required: true
          schema:
            type: string
            format: date
            title: Date
          description: Filter based on the date of the closure
        - name: location_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Location Id
          description: >-
            Unique identifier of the location. If none passed, closures from all
            locations will be returned unless the location was selected by the
            end-user
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClosureItem'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '405':
          content:
            application/json:
              example:
                message: >-
                  The resource {Method} - {Resource} is not supported by
                  {ConnectorName}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Method Not Allowed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '502':
          content:
            application/json:
              example:
                message: Error while trying to authenticate to {ConnectorName}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Gateway
      security:
        - mcp_auth:
            - pos
            - pos.read
            - pos.closure
            - pos.closure.read
components:
  schemas:
    ClosureItem:
      properties:
        date:
          type: string
          format: date
          title: Date
          description: Date of the closure
          examples:
            - '2025-01-01'
        status:
          $ref: '#/components/schemas/ClosureStates'
          description: Status of the closure
          examples:
            - closed
        closures:
          anyOf:
            - items:
                $ref: '#/components/schemas/POSClosureInformationItem'
              type: array
            - type: 'null'
          title: Closures
          description: Info about closures related to specific day
          default: []
      type: object
      required:
        - date
        - status
      title: ClosureItem
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ClosureStates:
      type: string
      enum:
        - open
        - closed
      title: ClosureStates
    POSClosureInformationItem:
      properties:
        id:
          type: string
          title: Id
        total:
          type: number
          title: Total
          description: Total amount of the payments in current closure
        tax_amount:
          type: number
          title: Tax Amount
          description: Total tax amount the in current closure
        payments:
          anyOf:
            - items:
                $ref: '#/components/schemas/ClosurePaymentItem'
              type: array
            - type: 'null'
          title: Payments
          description: List of payments related to current closure
          default: []
        taxes:
          anyOf:
            - items:
                $ref: '#/components/schemas/TotalTaxItem'
              type: array
            - type: 'null'
          title: Taxes
          description: List of taxes related to current closure
          default: []
      type: object
      required:
        - id
        - total
        - tax_amount
      title: POSClosureInformationItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ClosurePaymentItem:
      properties:
        payment_method_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Payment Method Id
          description: Unique identifier of the payment method used for the payment
          examples:
            - payment_method-1
        payment_method_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Payment Method Name
          description: Chift's name of the payment method used for the payment
          examples:
            - Cash
        tip:
          anyOf:
            - type: number
            - type: 'null'
          title: Tip
          description: >-
            Total amount of the tips of the payment. Tips are not part of the
            total of the payment
          default: '0'
          examples:
            - 1
        total:
          type: number
          title: Total
          description: Total amount including tax
          examples:
            - 11
      type: object
      required:
        - total
      title: ClosurePaymentItem
    TotalTaxItem:
      properties:
        tax_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tax Id
          description: Unique identifier of the tax
          examples:
            - 371ca583-d218-4900-b236-397532cf0e39
        tax_rate:
          type: number
          title: Tax Rate
          description: Tax rate
          examples:
            - '10'
        tax_amount:
          type: number
          title: Tax Amount
          description: Tax amount
          examples:
            - '1'
        total:
          type: number
          title: Total
          description: Total amount including tax
          examples:
            - '11'
      type: object
      required:
        - tax_rate
        - tax_amount
        - total
      title: TotalTaxItem
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````